/*
 * tunethread.h 
 */

#ifndef TUNETHREAD_H
#define TUNETHREAD_H

#include <omnithread.h>
#include <tango.h>
#include <TuneGof2.h>


class tunethread : public omni_thread, public Tango::LogAdapter
{	
	private:
		TuneGof2_ns::TuneGof2 *myobj;
	public:
		/* tunethread::tunethread(): initialize search loop */
		tunethread(TuneGof2_ns::TuneGof2 *s):Tango::LogAdapter(s) { myobj = s;};
		
		/* tunethread::~tunethread(): object destructor */
		~tunethread(){};
		
		/*void start_undetached(void) {
			omni_thread::start_undetached();
		};*/		
				
	protected:
		/* tunethread::run():	start setting loop */
		void run(void *);			

};	/* end class tunethread() */


#endif

/* EOF */

